<!DOCTYPE html>
<html layout:decorate="~{base}" xmlns="http://www.w3.org/1999/xhtml"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:th="http://www.thymeleaf.org">

<div class="row mb-2" layout:fragment="content-header">
	<div class="col-sm-6">
		<h1>Input Biodata</h1>
	</div>
	<!-- 	<div class="col-sm-6"> -->
	<!-- 		<ol class="breadcrumb float-sm-right"> -->
	<!-- 			<li class="breadcrumb-item"><a href="#">Home</a></li> -->
	<!-- 			<li class="breadcrumb-item active">General Form</li> -->
	<!-- 		</ol> -->
	<!-- 	</div> -->
</div>

<div layout:fragment="content-body">

	<div class="col-md-12">
		<div class="card">
			<div class="card-header bg-maroon">
				<div class="col-md-6">
					<h1 class="card-title">Input Biodata</h1>
				</div>
			</div>
			<div class="card-body">
				<div>
					<div class="col-md-1">
						<button class="btn btn-block btn-danger btn-lg" id="btn-tambah-biodata"><i
								class="fas fa-plus"></i><i class="far fa-user"></i></button>
					</div>
				</div>
				<br>
				<div>
					<div class="col-md-12">
						<div class="card-header bg-light">
							<h4 class="card-title">List Biodata</h4>
						</div>
					</div>
					<div class="card-body">
						<div class="card-body table-responsive">
							<table class="table table-striped table-bordered table-hover nowrap" id="tableBiodata"
								style="width:100%"></table>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div class="modal fade" id="modal-biodata">
		<div class="modal-dialog modal-lg">
			<div class="modal-content">
				<div class="modal-header">
					<h4 class="modal-title">Form Biodata</h4>
					<button aria-label="Close" class="close" data-dismiss="modal" type="button">
						<span aria-hidden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<form id="formprofile" role="form">
						<input name="id" type="hidden" />
						<div class="form-group">
							<label>Nama</label> <input type="text" class="form-control" id="nama" name="nama"
								placeholder="Nama">
						</div>

						<div class="form-group">
							<label>Alamat</label> <input type="text" class="form-control" id="alamat" name="alamat"
								placeholder="Alamat">
						</div>

						<div class="form-group">
							<label>Nomor hp</label> <input type="text" class="form-control" id="noHp" name="noHp"
								placeholder="Nomor hp">
						</div>

					</form>
				</div>

				<div class="modal-footer justify-content-between">
					<button class="btn btn-default" data-dismiss="modal" type="button">Close</button>
					<button class="btn btn-primary" id="savebtn" type="button">Save</button>
				</div>

			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>

</div>

<th:block layout:fragment="add-scripts">

	<script th:src="@{/assets/js/biodata.js}"></script>

	<script>
		tableBiodata.create();

		$('#btn-tambah-biodata').click(function () {
			formBiodata.resetForm();
			$('#modal-biodata').modal('show')
		});

		$('#savebtn').click(function () {
			formBiodata.saveForm()
		})
	</script>

</th:block>


</html>